/* ------------------------------------------------------------------------
 * Copyright  2000-2001 VERITAS Software Corporation. All Rights Reserved.
 *
 * THIS SOFTWARE CONTAINS CONFIDENTIAL INFORMATION AND
 * TRADE SECRETS OF VERITAS SOFTWARE.  USE, DISCLOSURE,
 * OR REPRODUCTION IS PROHIBITED WITHOUT THE PRIOR EXPRESS
 * WRITTEN PERMISSION OF VERITAS SOFTWARE CORPORATION
 *
 *               RESTRICTED RIGHTS LEGEND
 * USE, DUPLICATION OR DISCLOSURE BY THE U.S. GOVERNMENT IS
 * SUBJECT TO RESTRICTIONS SET FORTH IN THE VERITAS SOFTWARE
 * CORPORATION LICENSE AGREEMENT AND AS PROVIDED IN
 * DFARS 227.7202-1(a) and  227.7202-3(a) (1998), and FAR 12.212,
 * as applicable.
 * VERITAS Software Corporation
 * 350 Ellis Street,
 * Mountain View, CA 94043.
 *
 * UNPUBLISHED -- RIGHTS RESERVED UNDER THE COPYRIGHT
 * LAWS OF THE UNITED STATES.  USE OF A COPYRIGHT NOTICE
 * IS PRECAUTIONARY ONLY AND DOES NOT IMPLY PUBLICATION
 * OR DISCLOSURE.
 * ------------------------------------------------------------------------
 * Original Author: Kiran Patil
 * Group: Technology
 * Site: Pune, India
 * Date: 11/27/2000
 *
 * Description: Version information.
 *
 * $Archive: /VxHelp/Current/source/viewer/java/Version.java $
 * $Revision: 1.25 $
 * $Author: kpatil $
 * $Date: 2003/08/28 05:34:06 $
 * ------------------------------------------------------------------------
 */

package vrts.help.viewer;

import java.awt.*;

public class Version
{
	// The name of the component.
	private static String COMPONENT_NAME = "VERITAS Help";

	// The version number for the component.
	private static String COMPONENT_VERSION = " 1.10.021 ";

	// Copyright notice
	private static String COMPONENT_COPYRIGHT = "Copyright \u00A9 2000-2002 VERITAS SOFTWARE Corporation.  All Rights Reserved.";

	// Description of the component
	private static String DESCRIPTION = "";

	public Version()
	{
	}

	public static String getVersion ()
	{
		return COMPONENT_VERSION;
	}

	public static String getProductName ()
	{
		return COMPONENT_NAME;
	}

	public static String getCopyrightString ()
	{
	  if (VxHelpUISettings.RESOURCE == null)
	  {
	    VxHelpUISettings.InitializeUISettings(false);
	  }

	  return VxHelpUISettings.RESOURCE.getString(VxHelpUISettings.VERITAS_COPYRIGHT);
	}

	public static String getString()
	{
		return COMPONENT_NAME + " (" + COMPONENT_VERSION + ")\n" + getCopyrightString() + "\n" + DESCRIPTION;
	}
}